# Create a tooling record for a product (/docs/api-reference/products/ToolingController_create)

`POST /api/factories/{factoryId}/products/{productId}/tooling`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "toolCode": {
      "type": "string",
      "description": "Tool code",
      "example": "M-08"
    },
    "toolName": {
      "type": "string",
      "description": "Tool name",
      "example": "Bottom gasket mold"
    },
    "toolType": {
      "type": "string",
      "description": "Tool type",
      "enum": [
        "Mold",
        "Progressive die",
        "Die",
        "Fixture",
        "Tool",
        "Trim tool"
      ]
    },
    "cavities": {
      "type": "number",
      "description": "Cavity count"
    },
    "ratedLife": {
      "type": "number",
      "description": "Rated life (in lifeUnit)"
    },
    "usedLife": {
      "type": "number",
      "description": "Used life so far (in lifeUnit)"
    },
    "lifeUnit": {
      "type": "string",
      "description": "Life unit",
      "enum": [
        "shots",
        "cycles",
        "strokes",
        "hits"
      ]
    },
    "note": {
      "type": "string",
      "description": "Free-text note"
    }
  },
  "required": [
    "toolCode"
  ]
}
```

## Responses

### 201: Tooling record created